Subject: bug#12314: 24.2.50; `add-to-history': use `setq' with `delete'

From: Andreas Schwab <[email-masked]>
Date: Sat, 08 Sep 2012 18:19:58 +0200

Eli Zaretskii <[email-masked]> writes:

> Then the manual should be corrected to state that much more explicitly
> than it does now.  Perhaps it shouldn't even talk about destructive
> removal, as that will surely spread confusion.  For me "destructive"
> means "in-place", and no amount of describing how 'delete' works
> internally will ever be able to countermand that.

Even if the element is not the first one, you always have to think about
other references that may exist to the cons that is removed.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."